CreateVmInstanceFromOvf
CreateVmInstanceFromOvf
POST
/zstack/v1/ovf/create-vm-instanceOperation ID
CreateVmInstanceFromOvfSince
4.4.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsstructureObjectRequiredparamsstructure request body object.
xmlBase64StringRequiredThe resource name.
jsonImageInfosStringRequiredThe JSON string that describes the relationship between disk ID and the image file.
backupStorageUuidStringRequiredThe UUID of the backup storage that stores the uploaded image file.
jsonCreateVmParamStringRequiredThe JSON string that contains the parameters used to create a VM instance.
deleteImageAfterSuccessbooleanOptional. Specifies whether to delete the image file after the deployment is completed.
deleteImageOnFailbooleanOptional. Specifies whether to delete the image file after the deployment fails.
resourceUuidStringOptional. The resource UUID.
tagUuidsListOptional. The tag UUIDs.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
200 OKChange History
View all change historyChange TimeChange SummaryAction
Change Time
AddedRequest body fields paramsstructureView API
